List user posts
curl --request GET \
--url https://api.ofauth.com/v2/access/users/:userId/posts \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'import requests
url = "https://api.ofauth.com/v2/access/users/:userId/posts"
headers = {
"apiKey": "<api-key>",
"x-connection-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>', 'x-connection-id': '<api-key>'}};
fetch('https://api.ofauth.com/v2/access/users/:userId/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"id": 123,
"canDelete": true,
"canEdit": true,
"mediaCount": 123,
"media": [
{
"id": 123,
"convertedToVideo": true,
"canView": true,
"hasError": true,
"createdAt": "<string>",
"isReady": true,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"view": "<string>",
"id": 123,
"name": "<string>",
"username": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"duration": 123,
"hasCustomPreview": true,
"videoSources": {
"240": "<string>",
"720": "<string>"
},
"files": {
"full": {
"url": "<string>",
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"canViewMedia": true,
"responseType": "<string>",
"postedAt": "<string>",
"postedAtPrecise": "<string>",
"isMarkdownDisabled": true,
"isOpened": true,
"canToggleFavorite": true,
"tipsAmount": "<string>",
"text": "<string>",
"isFavorite": true,
"canComment": true,
"favoritesCount": 123,
"isMediaReady": true,
"rawText": "<string>",
"author": {
"id": 123,
"_view": "<string>"
}
}
],
"hasMore": true,
"headMarker": "<string>",
"tailMarker": "<string>",
"counters": {
"audiosCount": 123,
"photosCount": 123,
"videosCount": 123,
"mediasCount": 123,
"postsCount": 123,
"streamsCount": 123,
"archivedPostsCount": 123,
"privateArchivedPostsCount": 123
}
}Posts
List user posts
List user posts
Permission Required: posts:read
GET
/
v2
/
access
/
users
/
:userId
/
posts
List user posts
Authorizations
Requires a connection via the x-connection-id header.
Path Parameters
User ID (numeric or username)
Minimum string length:
1Query Parameters
Number of posts to return (1-50)
Required range:
1 <= x <= 50Sort posts by newest, oldest, most liked, or most tipped
Available options:
newest, oldest, most_liked, most_tipped Include pinned posts
Pagination cursor: get posts before this time (use the tailMarker from the response here). Accepts ISO datetime, seconds, or seconds.fraction.
Pattern:
^\d+\.\d{6}$Was this page helpful?
⌘I